#Brojevni pravac - program_10_1.py

from turtle import *

def crtica(vel=6):                                              
    '''Funkcija crta na trenutnom položaju kornjače 
       okomitu crticu duljine 2 * vel.
    '''
    lt(90); fd(vel); bk(2 * vel); fd(vel); rt(90)                          

def polupravac(n=10, m=20, d=6):                                                   
    '''Funkcija crta polupravac duljine (n + 1) * m piksela
       sa strelicom na kraju i na njemu n crtica na razmaku d piksela
    '''
    for i in range(n):
        fd(m); crtica(d)                                                  
    fd(m); stamp()

def brojevni_pravac(n=10, m=20):                                      
    '''Funkcija ća nacrtati brojevni pravac za interval [-n, n].
           m = broj piksela u jedinici
           n = broj jedinica,
       pri čemu se preporuča da je n * m <= 200.
    '''
    reset()                                                             
    tracer(False)     
    crtica()
    polupravac()
    pu(); home(); pd()
    lt(180)    
    polupravac()
    pu(); goto(-n * m, -25); seth(0)
    for i in range(-n, n + 1):
        write(str(i),align='center', font=('Arial',8,'bold'))
        fd(m)
    goto((n + 1) * m, -40)
    write('x',align='center', font=('Arial',10,'bold'))
    ht()
    tracer(True)                                                      

def točka(x, n=10, m=20):
    '''Funkcija na brojevnom pravcu označva
       racionalni broj x iz intervala [-n, n].
    '''
    pu(); goto(x * m, 0); dot(6)
    sety(10)             
    x_ispis = '{0:.2f}'.format(x)
    write(x_ispis, align='center', font=('Arial',8, 'normal')
    
if __name__  == '__main__':
    brojevni_pravac()                                               
    x1 = 8.5                                                        
    x2 = -6
    xs = (x1 + x2) / 2
    točka(x1)
    točka(x2)
    točka(xs)
    



                                        
