# rješavanje dviju jednadžbi s dvjem nepoznanicama - sustav_2.py

from upis_sustava import *

'''
Rješavanje sustava dviju linearnh jednadžbi s dvjema nepoznanicama    
'''

def riješi_dvije_jednadžbe(jed):
    '''Funkcija vraća rješenje sustava dviju linearnih jednadžbi
            a00*x + a01*y = b0
            a10*x + a11*y = b1
       pri čemu je
            jed = [[a00, a01, b0], [a10, a11, b1]]
       Kada je nazivnik jednak nuli sustav nema riješenja i vraća se
       kao rezultat [None, None]
    '''
    nazivnik = jed[0][0] * jed[1][1] - jed[1][0] * jed[0][1]           #4
    if nazivnik == 0:
        return [None, None]                                            #5
    brojnik_x = jed[0][2] * jed[1][1] - jed[1][2] * jed[0][1]          #6
    brojnik_y = jed[0][0] * jed[1][2] - jed[1][0] * jed[0][2]          #7                          
    return brojnik_x / nazivnik , brojnik_y / nazivnik 
    
if __name__  == '__main__':
    jed = upis_dviju_jednadžbi()
    print('\nRješenje zadanih jednadžbi')
    ispis_jednadžbe(jed[0])
    ispis_jednadžbe(jed[1])
    print('je: ')
    xr,yr = riješi_dvije_jednadžbe(jed)
    if xr == None:                                                    #8
        print('Zadani sustav jednadžbi nema rješenja')
    else:
        print('    x = ', xr)
        print('    y = ', yr)
 
