# rješenje dviju jednadžbi pomoću determinanti - sustav_2d.py

from upis_sustava import *                                            #1

def det_2(mat):
    d = mat[0][0] * mat[1][1] - mat[1][0] * mat[0][1]                 #2               
    return d

def dvije_jednadžbe_det(jed):
    '''Funkcija vraća rješenje sustava dviju linearnih
       jednadžbi
            a00*x + a01*y = b0
            a10*x + a11*y = b1
       pri čemu je
            jed = [[a00, a01, b0], [a10, a11, b1]]
       Kada je nazivnik jednak nuli sustav nema riješenja i vraća se
       rezultat [None, None]
    '''
    a = [[jed[0][0], jed[0][1]], [jed[1][0], jed[1][1]]]              #3
    ax = [[jed[0][2], jed[0][1]], [jed[1][2], jed[1][1]]]             #4
    ay = [[jed[0][0], jed[0][2]], [jed[1][0], jed[1][2]]]             #5
    nazivnik = det_2(a)                                               #6
    if nazivnik == 0:
        return (None, None)                                                                 
    return det_2(ax) / nazivnik , det_2(ay) / nazivnik

if __name__  == '__main__':
    jed = upis_dviju_jednadžbi()
    xr,yr = dvije_jednadžbe_det(jed)
    if xr == None:                                     
        print('Zadani sustav jednadžbi nema rješenja')
    else:
        print('    x = ', xr)
        print('    y = ', yr)
