# rješavanje triju jednadžbi s trima nepoznanicama - sustav_3d.py

def upis_jednadžbe():
    '''Funkcijom se upisuju koeficijenti linearne jednadžbe:
         a0*x + a1*y + a2*z = b
       pri čemu konstante mogu biti cijeli ili decimalni brojevi
    '''
    a0, a1, a2, b = input().split(',')
    return [float(a0), float(a1), float(a2), float(b)]
 
def ispis_jednadžbe(jednadžba):
    '''Funkcija ispisuje jednadžbu u obliku:
         a0*x + a1*y + a2*z = b
       pri čemu je
         jednadžba = [a0, a1, a2, b]
    '''
    a0, a1, a2, b = jednadžba
    print('{:.2f}*x + {:.2f}*y + {:.2f}*z = {:.2f}'.format(a0, a1, a2, b))                                

def upis_triju_jednadžbi():
    '''Funkcija traži upis koeficijenata triju jednadžbi,ispisuje ih
       jednu ispod druge i vraća trodimenzionalnu listu upisanih
       koeficijenata      
    '''
    print('''Upiši koeficijente triju jednadžbi s trima nepoznanicama          
                 a00*x + a01*y + a02*z = b0
                 a10*x + a11*y + a12*z = b1
                 a20*x + a21*y + a22*z = b2''')
    print('Koeficijente razdvojiti zarezima.')
    print('\nprva jednadžba: ', end='')
    jed0 = upis_jednadžbe()
    print('\ndruga jednadžba: ', end='')
    jed1 = upis_jednadžbe()
    print('\ntreća jednadžba: ' end='')
    jed2 = upis_jednadžbe()    
    print('\nRješenje zadanih jednadžbi')
    ispis_jednadžbe(jed0)
    ispis_jednadžbe(jed1)
    ispis_jednadžbe(jed2)
    print('je:')
    return [jed0, jed1, jed2]                                   #3

def riješi_tri_jednadžbe(jed):
    '''Funkcija vraća rješenje sustava triju linearnih
       jednadžbi s trima nepoznanicama              
           a00*x + a01*y + a02*z = b0
           a10*x + a11*y + a12*z = b1
           a20*x + a21*y + a22*z = b2
       pri čemu je
           jed = [[a00, a01, a12, b0],
                  [a10, a11, a12, b1],
                  [a20, a21, a22, b2]]
    '''
    a = [jed[0][:-1], jed[1][:-1], jed[2][:-1]]                 #4
    nazivnik = det_3(a)                                         #5
    if nazivnik == 0:                                                    
        return [None, None, None]
    rješenja = []                                               #6
    for j in range(3):                                          #7
        for i in range(3):          
            a[i][j] = jed[i][3] 
        rješenja.append(det_3(a)/nazivnik)
        for i in range(3):                                      #8
            a[i][j] = jed[i][j] 
    return rješenja 

def det_3(mat):
    d = 0
    for k in range(3):
        d += mat[0][k] * mat[1][(k + 1) % 3] * mat[2][(k + 2) % 3]
        d -= mat[2][k] * mat[1][(k + 1) % 3] * mat[0][(k + 2) % 3]
    return d   
    
    
    
if __name__  == '__main__':
    jed = upis_triju_jednadžbi()
    xyz = riješi_tri_jednadžbe(jed)                           #9
    if xyz[0] == None:
        print('Zadani sustav jednadžbi nema rješenja')
    else:
        print('    x = ', xyz[0])
        print('    y = ', xyz[1])
        print('    z = ', xyz[2])
