#Pretvorba mjernih jedinica za vrijeme - modul_vrijeme.py

def sati_u_h_m_s(sati):
    '''Ulazni parametar sati izražen je kao decimalni broj.
       Funkcija vreća vrijeme izraženo kao trojku:
           sat kao tip int
           minute kao tip int
           sekunde kao tip float zaokruženo na dva decimalna mjesta
    '''
    h, m = divmod(sati, 1.)
    m, s = divmod(60 * m, 1.)
    s = s * 60
    return int(h), int(m), round(s, 2)

def minute_u_h_m_s(minute):
    '''Ulazni parametar minute izražen je kao decimalni broj.
       Funkcija vreća vrijeme izraženo kao trojku:
           sat kao tip int
           minute kao tip int
           sekunde kao tip float zaokruženo na dva decimalna mjesta
    '''
    h, m = divmod(minute, 60.)
    m, s = divmod(m, 1.)
    s = s * 60
    return int(h), int(m), round(s, 2)

def sekunde_u_h_m_s(sekunde):
    '''Ulazni parametar sekunde izražen je kao decimalni broj.
       Funkcija vreća vrijeme izraženo kao trojku:
           sat kao tip int
           minute kao tip int
           sekunde kao tip float zaokruženo na dva decimalna mjesta
    '''
    h, m = divmod(sekunde, 3600.)
    m, s = divmod(m, 60.)
    return int(h), int(m), round(s, 2)

if __name__ == '__main__':
    sati = 1.3456
    h, m, s = sati_u_h_m_s(sati)
    print('{}h   jednako je {}h {}min {}s'.format(sati, h, m, s))
   minuta = 80.736
    h, m, s = minute_u_h_m_s(minute)
    print('{}min jednako je {}h {}min {}s'.format(minute, h, m, s))
    sekunde = 4844.16
    h, m, s = sekunde_u_h_m_s(sekunde)
    print('{}s jednako je {}h {}min {}s'.format(sekunde, h, m, s))    
    
    

    
