# vizualizacija postotka  - program_12_12.py
'''Program vizualizira postotak tako da u kvadratu
   koji se sastoji od 100 kvadratića oboji
   broj kvadratića jednak zadanom postotku
'''
from turtle import *

def kvadratić(boja='seagreen'):
    '''Funkcija crta obojeni kvadratić sa stranicama 15 piksela
       i pomiče kornjaču u desni donji kut kvadartića
    '''
    color(boja)
    begin_fill()
    for i in range(4):
        fd(15); rt(90)
    fd(15)
    end_fill()
    
def kvadrat(x0, y0):
    '''Funkcija crta kvadrat sa stranicom od 150 piksela i
       s koordinatama  gornjeg lijevog kuta: x_0, y_0. Kvadrat
       je podijeljen na 100 kvadratića sa stranicama od 15 piksela.
    '''
    ht()
    color('black')
    for i in range(11):
        pu(); goto(x0, y0 - i * 15)
        pd(); setx(x0 + 150)
    rt(90)
    for i in range(11):
        pu(); goto(x0 + i * 15, y0)
        pd(); sety(y0 - 150)

def prikaz_postotka(postotak, x0=-75, y0=75, ispis=1):
    '''Funkcija će u kvadratu sastavljenom od 100 kvadratića:
          postotak - broj kvadratića koje treba obojati
          x_0, y_0 - koordinate lijevog gornjeg kuta kvadrata
          ispis - 1 ispisuje se postotak na vrhu kvadrata
                  0 postotak se ne ispisuje       
    '''
    redovi, red_zadnji = divmod(postotak, 10)                       #1
    tracer(False)
    pu(); seth(0)
    for i in range(redovi):                                         #2
        goto(x0, y0 - i * 15)
        for j in range(10):
            kvadratić()
    goto(x0, y0 - redovi * 15)
    for j in range(red_zadnji):                                     #3
        kvadratić()
    kvadrat(x0, y0)                                                 #4
    pu(); goto(x0 + 75, y0 +10)
    if ispis:
        post = '{}%'.format(postotak)
        write(post, align='center', font=('Arial',10,'bold'))
        tracer(True)

if __name__  == '__main__':
    prikaz_postotka(57)

