# Vizualizacija proporcionalnosti.py
'''
    Modul sadrži funkcije za prikaz proporcionalnih veličina
    u prvom kvadrantu koordinatnog sustava.
'''

from turtle import *

def prvi_kvadrant():                                             #1
    '''Prikaz prvog kvadranta koordinatnog sustava uz
           0 <= x <= 20
           0 <= y <= 20
       Jedinični razmak iznosi 20 piksela.
    '''                                                    
    reset()
    title('Prikaz proporcionalnosti')
    tracer(False)                                                #2
    pu(); goto(-200, -200); pd() 
    for i in range(20):
        pencolor('Black')
        pensize(2); fd(20); pensize(1)
        pencolor('Gray')
        lt(90); fd(400); bk(400); rt(90)
    pu(); goto(-200, -200); pd()
    lt(90)
    for i in range(20):
        pencolor('Black')
        pensize(2); fd(20); pensize(1)
        pencolor('Gray')
        rt(90); fd(400); bk(400); lt(90)    
    pu(); home(); pd()
    pencolor('Black') 
    pu(); goto(-200, -225); seth(0)
    for i in range(0, 21):                                  
        write(i, align='center', font=('Arial',8,'bold'))    
        fd(20)                                                   
    goto(205, -245)                                              
    write('x',align='center', font=('Arial',10,'bold'))          
    pu(); goto(-218, -208); seth(90)                             
    for i in range(0, 21):                                  
        write(i, align='center', font=('Arial',8,'bold'))    
        fd(20)                                                   
    goto(-240, 195)                                             
    write('y', align='center', font=('Arial',10,'bold'))          
    tracer(True)   
    ht()

def točka(t, ispis=0):                                           #3                                   
    '''Funkcija crta točku t = (x, y) gdje je:
          x - racionalni broj iz intervala [0, 20]
          y - racionalni broj iz intervala [0, 20]
       uz
          ispis=1  ispisuju se koordinate točke
          ispis=0  koordinate točke se ne ispisuju
        '''                                              
    pu(); goto(-200 + t[0] * 20, -200 + t[1] * 20)                                                                   
    dot(6)                                                       
    if ispis:                                                    
        sety(-195 + t[1] * 20)                                           
        ispis = '{0:.2f},{1:.2f}'.format(t[0], t[1])                   
        write(ispis, align='center', font=('Arial',8, 'normal')) 

def dužina(t0, t1):                                              #4
    '''Funkcija crta dužinu omeđenu točkama
       t0 = (x0,y0), t1 = (x1,y1)
    '''
    tracer(False)
    pensize(2)
    pu(); goto(t0[0] * 20 - 200, t0[1] * 20 - 200)
    pd(); goto(t1[0] * 20 - 200, t1[1] * 20 - 200)
    pensize(1)
    tracer(True)

def pravac(k):                                                   #5
    pu()
    goto(-200, -200)
    setheading(towards(0, k * 200 - 200))
    tracer(False)
    while position()[0] <= 200:
        if abs(position()[1]) <= 200:
            pd()
        else:
            pu()
        fd(1)
    tracer(True)


if __name__ == '__main__':
    prvi_kvadrant()
    pravac(1)
    for j in range(1, 3):
        pravac(2 * j)
        pravac(1 / (2 * j))
    pu()
    goto(205,-107); write('k = 1/4', font=('Arial',8,'bold'))
    sety(-7); write('k = 1/2', font=('Arial',8,'bold'))
    goto(200, 203); write('k = 1', align='center', font=('Arial',8,'bold'))
    setx(0); write('k = 2', align='center', font=('Arial',8,'bold'))
    setx(-100); write('k = 4', align='center', font=('Arial',8,'bold'))
        

        









    
