#Izračunavanje kvartila - kvartili_izracun.py

from list_dat import iz_datoteke

def kvartili(podatci):
    '''Funkcija vraća: 
           dg - donju granicu (prvo element sortirane liste)
           kv1, kv2, kv3 – kvartile
           gg – gornju granicu (zadnji element sortirane liste)
    '''
    n = len(podatci)
    p = podati[:]                                                       #1
    p.sort()
    m, ost = divmod(n, 2)
    if ost:                                                             #2                                    
        kv2 = p[m]
    else:        
        kv2 = (p[m - 1] + p[m]) / 2 
    k, ost = divmod(m, 2)
    if ost:                                                             #3
        kv1 = p[k]
        kv3 = p[-(k + 1)]
    else:
        kv1 = (p[k - 1] + p[k]) / 2                                     #4
        kv3 = (p[-(k + 1)] + p[-k]) / 2
    return p[0], kv1, kv2, kv3, p[-1]                                   #5

def ispis(podatci):
    '''Funkcija ispisuje podatke smještene u listi podaci
       donju i gornju granicu i kvartile tog niza podataka.
    '''
    dg, kv1, kv2, kv3, gg = kvartili(podatci)
    print('\npodaci:')
    for podatak in podatci:
        print(podatak, end=' ')
    s_podatci = sorted(podatci)
    print('\nsortirani podatci:')
    for podatak in s_podatci:                                          #16
        print(podatak, end=' ')
    print('\ndg = {} kv1 = {}  kv2 = {}  kv3 = {}  gg = {}'\
          .format(dg, kv1, kv2, kv3, gg))                               #17

if __name__ == '__main__':
    x = [2, 3, 4, 2, 5, 3, 5, 4] 
    ispis(x)
    y = [4, 5, 6, 4, 5, 6, 7, 9]
    ispis(y)
    z = iz_datoteke('pod_13_9.txt')
    ispis(z)
    
