#Vizualizacija podataka pravokutnikom - kvartili_prikaz.py

from turtle import *
from kvartili_izracun import kvartili
from list_dat import iz_datoteke

def veličine(podatci):
    '''Funkcija ispisuje vrijednost karakterističnih vrijednosti
       vel koje joj izračunava funkcija kvartili() i traži upis
       vrijednosti mini i maks pri čemu mora biti
           mini < dg,  maks > gg te maks - mini djeljivo s 10.
       Funkcija vraća:
           mini, maks i vel_p (veličine preračunate u piksele)
    '''
    vel = kvartili(podatci)
    print('\ndg = {} kv1 = {}  kv2 = {}  kv3 = {}  gg = {}'\
          .format(vel[0], vel[1], vel[2], vel[3], vel[4]))
    while True: 
        granice = input('Upiši mini, maks (odvojeno zarezom): ').split(',')
        mini, maks  = int(granice[0]), int(granice[1])
        if (maks - mini) % 10 == 0:
            break
        else:
            print('maks - mini mora biti djeljivo s 10')
    k = 400 / (maks - mini)
    vel_p = [(k * (vel[i] - mini) - 200) for i in range(5)]
    return mini, maks, vel_p                                        #1     
    
def crtica(m, deb=2):
    '''Funkcija crta vertikalnu crticu duljine 2*m piksela debljine deb.
    '''
    lt(90)
    pd(); pensize(deb)
    fd(m); bk(2 * m); fd(m)
    pu(); pensize(1)
    rt(90)   

def brojevni_pravac(mini, maks, y0=0):  
    '''Funkcija crta brojevni pravac pomaknut za 30 piksela
       ispod vrijednost y0.
    '''
    tracer(0)
    ht()
    pu(); goto(-200, y0-30), seth(0); pd(); ht()                    #2                           
    crtica(3, 1)   
    for i in range(10):                    
        pd(); fd(40)                                                       
        crtica(3, 1)                                                                                 
    pu(); goto(-200, y0 - 55) 
    dx = (maks - mini) // 10
    oznake = [(mini + i * dx) for i in range(11)]
    for i in range(11):
        write(oznake[i], align='center', font=('Aral',9,'bold'))    
        fd(40)                                                       
    tracer(1)

def pravokutnik(v, y0=0):
    '''Funkcija crta prikaz podataka pravokutnikom.
       Parametar v je lista karakterističnih vrijednosti
       izraženih u pikselima, pri čemu je:
          v[0] donja granica dg
          v[1] prvi kvartil kv1
          v[2] medijan odnosno drugi kvartil kv2
          v(3] treći kvartil kv3
          v[4] gornja granica gg
    '''
    tracer(0)
    ht()
    pu(); goto(v[0], y0); crtica(5)
    for i in range(1, 4):
        pu(); setx(v[i]); crtica(10)
    pu(); setx(v[4]); crtica(5)
    pu(); setx(v[0]); pd(); setx(v[1])
    pu(); setx(v[3]); pd(); setx(v[4])
    pensize(2)
    fillcolor('aqua')
    begin_fill()
    pu(); goto(v[1], y0 + 10); pd(); setx(v[2]) 
    sety(y0 - 10); setx(v[1]); sety(y0 + 10)
    end_fill()
    begin_fill()
    pu(); goto(v[2], y0 + 10); pd(); setx(v[3])
    sety(y0 - 10); setx(v[2]); sety(y0 + 10)
    end_fill()
    tracer(1)
        
def vizualizacija(podatci, y0=0):
    mini, maks, vel_p = veličine(podatci)
    pravokutnik(vel_p, y0)
    brojevni_pravac(mini, maks, y0)
    
if __name__ == '__main__':
    x = [2, 3, 4, 2, 5, 3, 5, 4]
    vizualizacija(x, 150)
    y = [120, 120, 167, 189, 110]
    vizualizacija(y)
    z = iz_datoteke('pod_13_10.txt')
    vizualizacija(z, -150)                                  
    
   
