#Stupčasti prikaz frekvencija - stupcasti_prikaz.py

from turtle import *
from collections import Counter 
from list_dat import iz_datoteke                                 

def koordinate():
    '''Funkcija crta prvi kvadrant koordinatnog sustava.
       Horizontalna os predstavlja vrijednosti x
           uz 0 < x < 20.
       Na vertikalnoj osi predstavljene su frekvencije f
           uz 0 < f < 10
    '''                                                    
    reset(); ht()
    title('Stupčasti prikaz frekvencija')
    tracer(0)                                                
    pu(); goto(-200, 0); pd() 
    for i in range(20):
        pensize(2); fd(20); pensize(1)
        rt(90); fd(6); bk(6), lt(90)
    pensize(2); fd(25); stamp()
    pu(); goto(-200, 0); pd()
    lt(90)
    for i in range(10):
        pensize(2); fd(20); pensize(1)
        lt(90); fd(6); bk(6); rt(90)
    pensize(2); fd(25); stamp()
    pu(); home(); pd()
    pu(); goto(-200, -25); seth(0)
    for i in range(0, 21):                                  
        write(i, align='center', font=('Arial',8,'bold'))    
        fd(20)                                                   
    goto(220, -32)                                              
    write('x', align='center', font=('Arial',10,'bold'))          
    pu(); goto(-218, -8); seth(90)                             
    for i in range(0, 11):                                  
        write(i, align='center', font=('Arial',8,'bold'))    
        fd(20)                                                   
    goto(-225 , 210)                                             
    write('frekvencija', align='right', font=('Arial',10,'bold'))          
    tracer(1)        

def stupac(x, f):                        
    '''Funkcija crta stupac pri čemu je:
           x vrijednost
           f frekvencija vrijednosti x
    '''
    pu();
    goto(-200 + x * 20, 0); seth(90)
    pensize(4); pd()
    for i in range(f):
        pencolor('darkgoldenrod2')
        fd(20);
        pensize(1)
        pencolor('black')
        rt(90); fd(4); bk(8); fd(4); lt(90)
        pensize(4)

def crtanje_frekvencija(ime_datoteke):
    '''Funkcija dohvaća podatke iz datoteke ime datoteke i
       crta stupčasti prikaz frekvencija podataka
       Pretpostavlja se da su vrijednosti podataka x iz intervala [1,20]
       i da su frekvencije manje od 10
    '''        
    koordinate()
    b = Counter(iz_datoteke(ime_datoteke))                      #1
    tracer(0)
    for x in sorted(b):                                         #2
        stupac(x, b[x])                                         #3
    tracer(1)

if __name__ == '__main__':   
    crtanje_frekvencija('bodovi.txt')
        
    

        









    
