#Modul: prirodni.py
''' 
   modul prirodni 
   sadrži funkcije za operacije s prirodnim brojevima
'''
def djelitelji(n):
    '''Funkcija vraća listu svih djelitelja broja n'''
    djel = []
    for d in range(1, n + 1):    
        if n % d == 0:           
            djel.append(d)       
    return djel

def prost(n):
    '''Funkcija vraća vrijednosti:
          True   ako je broj prost
          False  ako je broj složen
    '''
    d = 2
    while d**2 <= n:          	          
        if n % d == 0:
            return False
        d += 1
    return True

def prosti_brojevi(n):
    '''Funkcija vraća listu prostih brojeva manjih ili jednakih n'''
    return [i for i in range(2, n + 1) if prost(i)]

if __name__ == '__main__':
    n = int(input('Upiši broj n = '))
    print('U intervalu [2, {}] su prosti: \n{}'.format(n, prosti_brojevi(n)))
    print('Djelitelji broja {} su:\n{}'.format(n, djelitelji(n)))

    
