#Brojevni pravac s prirodnim brojevima i nulom - program_8_14.py

from turtle import *

def crtica(vel):                                               
    '''Crta crticuveličine 2 * vel na trenutačnom mjestu kornjače
       i to okomito na trenutačni smjer kornjače'''
    lt(90); fd(vel); bk(2 * vel); fd(vel); rt(90)                

def brojevni_pravac(n=20, m=20):                               
    '''Crta brojevni pravac nenegativnih brojeva u intervalu
       [0, n] i jediničnom duljinom od m piksela
    '''
    tracer(False)
    reset(); pu(); bk(200); pd()                               #1                    
    crtica(5) 
    for i in range(n):                                         #2                                    
        fd(m)                                                      
        crtica(3)
    fd(15); stamp()                                            
    pu(); bk(n * m + 15)                                         #3   
    rt(90); fd(25); lt(90)  
    for i in range(n + 1):                                     #4 
        write(str(i), align='center', font=('Aral',9,'bold')) 
        fd(m)
    ht()                                                     
    tracer(True)
    
def točka(a, m=20):                                             
    '''Postavlja točku na broj a brojevnog pravca'''
    pu()                                                      
    home()                                                     
    bk(200)
    fd(a * m)
    dot(8)                                                     #5

def zbroji(a, b, m=20):                                        
    '''Postavlja: točku a, stelicu udesno s pribrojnikom b
       i točku na broj a + b brojevnog pravca
    '''
    točka(a)                                                   #6   
    pu(); seth(90)   
    fd(25); pd(); seth(0)
    crtica(15)
    fd(b * m); stamp()                                         #7
    pu(); bk(b * m // 2); lt(90); fd(5)
    write('+' + str(b),align='center',font=('Aral',9,'bold'))  #8
    točka(a + b)

def oduzmi(a, b, m=20):                                        
    '''Postavlja: točku a, strelicu ulijevo s umaniteljem b
       i točku na broj a - b brojevnog pravca
    '''
    točka(a)   
    pu(); seth(90)   
    fd(25); pd(); seth(180)       
    crtica(15)                                                 
    fd(b * m); stamp()                                         
    pu(); bk(b * m // 2); rt(90); fd(5)                       
    write('-' + str(b),align='center',font=('Aral',9,'bold'))
    točka(a - b)

if __name__ == '__main__':
    a = 7                                                      
    b = 5                                                     
    brojevni_pravac()                                      
    zbroji(a, b)
    p = input('Pritisnuti tipku (Unos) za nastavak! ')         #9
    brojevni_pravac()                                          #10     
    oduzmi(a, b)    



