# Svojstvo komutativnosti - program_8_15.py

from turtle import *

def crtica(vel):                                          
    '''Funkcija crta okomite crtice na mjestu na kojem
        se trenutačno nalazi. Crtica će bit dugačka 2 * vel piksela.
        Preporuka: za kraće crtice odabrati vel = 3,
                   za dulje crtice odabrati vel = 8.
    '''
    lt(90)                                                
    fd(vel); bk(2 * vel); fd(vel)                         
    rt(90)                                                 

def jedinična_dužina(m=20):                               
    '''Funkcija crta jediničnu dužinu duljine m piksela.
       Na njezinu će se kraju nacrtati crtica.
    '''
    fd(m)                                                 
    crtica(3)                                              

def dužina(dulj, m=20):                                           
    '''Funkcija crta dužinu koja se sastoji od  dulj jediničnih dužina. 
          dulj - broj jediničnih dužina koje čine dužinu
          m - broj piksela jedinične dužine
    '''
    crtica(8)                                                     
    pu(); fd(dulj * m // 2); rt(90); fd(20) 
    write(dulj, align='center',font=('Aral',9,'bold'))
    bk(20); lt(90); bk(dulj * m // 2); pd()    
    for i in range(dulj)
        jedinična_dužina(m)                                   
    crtica(8)                                                    

def početna_točka(pol):                                           
    '''Početna točka crtanja postavlja se
       na položaj (-200, pol) 
    '''
    pu(); seth(0); goto(-200, pol); pd()                                                 

def komutativnost_zbrajanja(a, b):                                
    '''Funkcija crta nadovezane dužine a i b
       te zatim dužinu a + b. Nakon toga crta
       nadovezane dužine b i a te zatim dužinu b + a
    '''
    reset(); pu(); ht()                                           
    početna_točka(90); dužina(a); dužina(b)                       #1                                          #8
    početna_točka(60); dužina(a + b)
    početna_točka(-60); dužina(b); dužina(a)                      #2                    #14   
    početna_točka(-90); dužina(b + a)

if __name__ == '__main__':
    while True:
        a = input('Duljina dužine a (a <= 15)(za kraj (Unos)): ')
        if not a:
            break
        a = int(a)
        b = int(input('Duljina dužine b (b <= 15): '))
        komutativnost_zbrajanja(a, b)


