#Vizualizacija operacije množenja - program_mnozenje.py

from turtle import *

def mreža_jediničnih_kvadrata(a, b, xs, ys, m=30, boja='Silver'):    
    '''Funkcija crta pravokutnik sastavljen od jediničnih kvadrata.
         a, b - stranice pravokutnika
         xs, ys - središte jediničnog kvadrata u donjem
                  lijevom uglu pravokutnika
         m  - broj piksela jedinične dužine (postavljeno m=30)
         boja - boja olovke (postavljeno boja='Silver9)
    '''
    ht()
    pencolor(boja)                                                     
    for i in range(b):                                               
        pu()
        goto(xs - m//2, ys - m//2 + i * m)                          #1
        pd(); seth(0)                                        
        for j in range(a):                                          #2
            for k in range(4):                                      
                fd(m)                                       
                lt(90)
            fd(m)

def umnožak(a, b, xs, ys, m=30, mreža=1):                         
    '''Funkcija crta pravokutnik
         a, b - stranice kvadrata
         xs, ys - središte jediničnog kvadrata u donjem
                  lijevom kutu pravokutnika
         m  - broj piksela jedinične dužine (postavljeno m=30)
         mreža - određuje crtanje mreže jediničnih kvadrata
                 mreža = 1 (postavljeno) mreža se crta
                 mreža = 0 mreža se ne crta      
    '''
    tracer(False)                                                      
    if mreža:                                                         
        mreža_jediničnih_kvadrata(a, b, xs, ys)                  
    pu(); ht()                                                      
    pencolor('Black')                                              
    goto(xs + (a - 1)* m // 2, ys - 10 + (b - 1) * m // 2);       #3   
    write(a * b, align='center',font=('Arial',10,'bold'))         #4     
    goto(xs + (a - 1)* m // 2, ys -  m // 2 - 18)                 #5   
    write(a, align='center',font=('Arial',9,'bold'))              #6
    goto(xs - m // 2 - 10, ys - 10 + (b - 1) * m // 2)            #7 
    write(b, align='center',font=('Arial',9,'bold'))              #8
    goto(xs - m // 2, ys - m // 2)
    pd()         
    for i in range(2):
        fd(a * m)                                                      
        lt(90)                                                        
        fd(b * m)                                                     
        lt(90)
    tracer(True)

if __name__ == '__main__':
    reset()
    umnožak(1, 1, -250, 0)
    umnožak(2, 1, -170, 0)
    umnožak(3, 1, -60, 0)
    umnožak(4, 1, 80, 0)
    umnožak(5, 1, 250, 0)



    
